

include $(YACLPATH)/control/gnuwin32.ctl

LIBRARY = $(YACLLIB)/libio.a

#
# Comment out the following if you don't want the object code
# optimized:
#
# OPTIMIZE = -O3


OBJECTS =    \
binfile.o     \
bytstore.o \
directry.o \
dskbtree.o \
pathname.o \
slotfile.o



.SUFFIXES:

.SUFFIXES: .cxx .o .a


.cxx.o:
	$(CC) $(CCOPTS) $(PIC)  $*.cxx
        


all: io



io: $(OBJECTS)
	ar r $(LIBRARY) $(OBJECTS) $(STATIC_OBJS)
	ranlib $(LIBRARY)



binfile.o: binfile.cxx

bytstore.o: bytstore.cxx

directry.o: directry.cxx

dskbtree.o: dskbtree.cxx

pathname.o: pathname.cxx

slotfile.o: slotfile.cxx
                

clean:
	-rm -f *.o  $(LIBRARY) $(MEMLIB) $(BASE_SO)
